<?php

// Les valeurs sont elles postées ?

if(!isset($_POST['submit_form'])) {

    $message = '<p class="msg_error">Aucune donnée n\'est fournie.<a href="' . WEB_DIR_URL . 'admin/update-image.php">retour</a></p>';
}

if(isset($_POST['submit_form'])) {

    $title_form = trim($_POST['title_form']);
    $descr_form = trim($_POST['descr_form']);
    $filename_form = trim($_POST['filename_form']);
    
    // Cas où les valeurs sont postées

    // Si une des valeurs est vide
  
    if((empty($title_form)) OR (empty($descr_form)) OR (empty($filename_form))) {
        
        $message = '<p class="msg_error">Une des informations est manquante.<a href="' . WEB_DIR_URL . 'admin/update-image.php">retour</a></p>';
    }
    else {
        
        $manager = new imageManager($db);
        $current_images = $manager->readImageData($filename_form);
        
        $new_content = array('imgID' => (int) $current_images['imgID'], 'title' => $current_images['title'],
                             'descr' => $current_images['descr'], 'filename' => $current_images['filename']);

        $image_to_update = new Image($new_content);

        $image_to_update->setTitle($title_form);
        $image_to_update->setDescr($descr_form);
        $image_to_update->setFilename($filename_form);

        if(isset($_POST['update_form'])) {

            $manager->updateImageData($image_to_update);

            $message = '<p class="msg_success">Les informations ont bien été mises à jour dans la base de données.</p>';
        }
        else {

            $message = '<p class="msg_error">Une erreur est survenue lors de la mise à jour des données dans la base.<br>
                                             Aucune information n\'a été mise à jour.</p>';
        }
    }
}